// DTnode.h: interface for the DTnode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DTNODE_H__806ED7B9_36D5_48C1_A8DC_D310E40CE71A__INCLUDED_)
#define AFX_DTNODE_H__806ED7B9_36D5_48C1_A8DC_D310E40CE71A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class DTNode  
{
	float **elements;
	int no_of_patterns;
	bool leaf;
	DTNode* l_c;
	DTNode* r_c;
	int l_c_i;
	int r_c_i;
	int decision_attribute;
	float decision_point;
	int decision;
	int level;
public:
	DTNode(int, int, float**,int,int);
	DTNode();
	~DTNode();
	int get_l_c_index(){
		return l_c_i;
	}
	void set_l_c_index(int l){
		l_c_i = l;
	}
	int get_r_c_index(){
		return r_c_i;
	}
	void set_r_c_index(int r){
		r_c_i = r;
	}
	int get_level(){
		return level;
	}
	void set_level(int l){
		level = l;
	}
	int get_decision(){
		return decision;
	}
	void set_decision(int d){
		decision = d;
	}
	bool is_leaf(){
		return leaf;
	}
	
	void set_decision_attribute(int i){
		decision_attribute = i;
	}
	int get_decision_attribute(){
		return decision_attribute;
	}
	void set_decision_point(float f){
		decision_point = f;
	}
	float get_decision_point(){
		return decision_point;
	}
	void set_leaf(bool l){
		leaf = l;
	}
	void set_l_child(DTNode* l){
		l_c = l;
	}
	void set_r_child(DTNode* r){
		r_c = r;
	}
	DTNode* l_child(){
		return l_c;
	}
	DTNode* r_child(){
		return r_c;
	}
	
	float** get_elements(){
		return elements;
	}
	int get_no_of_patterns(){
		return no_of_patterns;
	}
	
};

#endif // !defined(AFX_DTNODE_H__806ED7B9_36D5_48C1_A8DC_D310E40CE71A__INCLUDED_)
